APROPOS(1)

NAAM
apropos - namen en beschrijvingen van de man-pagina's doorzoeken

SAMENVATTING
apropos [-dalv?V] [-e|-w|-r] [-s list] [-m system[,...]] [-M path] [-L locale] [-C file] keyword ...

BESCHRIJVING
Iedere man-pagina bevat een korte beschrijving. apropos doorzoekt de beschrijvingen op trefwoord. trefwoord is meestal een reguliere expressie, alsof (-r) is gebruikt; het kan jokertekens bevatten (-w) of overeenkomen met het exacte trefwoord (-e). Bij gebruik van deze opties kan het nodig zijn om speciale karakters in trefwoord te omsluiten met aanhalingstekens of vooraf te laten gaan door een backslash (\) om te voorkomen dat de shell ze interpreteert. De standaardzoekregels maken het mogelijk te zoeken op de overeenkomstige paginanaam en woordgrenzen in de beschrijving. De database, doorzocht door apropos is bijgewerkt door programma mandb. Afhankelijk van uw installatie kan dit worden uitgevoerd met een periodieke cron-opdracht of handmatig na de installatie van nieuwe man-pagina's.

OPTIES

-d, --debug
    Foutinformatie tonen.

-v, --verbose
    Uitgebreide waarschuwingsmeldingen tonen.

-r, --regex
    Ieder trefwoord moet geïnterpreteerd worden als een reguliere expressie. Dit is het standaardgedrag. Ieder trefwoord wordt afzonderlijk vergeleken met de paginanamen en de beschrijvingen. Er kan een overeenkomst zijn met ieder deel van beide. Deze overeenkomst is niet beperkt tot woordgrenzen.

-w, --wildcard
    Ieder trefwoord wordt geïnterpreteerd als een patroon die shell-achtige jokertekens bevat. Ieder trefwoord wordt afzonderlijk vergeleken met de paginanamen en de beschrijvingen. Als --exact opgegeven wordt, zal er alleen een overeenkomst gevonden worden als een (geëxpandeerd) trefwoord overeenkomt met de volledige beschrijving of paginanaam. In andere gevallen mag het trefwoord ook overeenkomen op woordgrenzen in de beschrijving.

-e, --exact
    Ieder trefwoord zal exact vergeleken worden met de paginanamen en de beschrijvingen.

-a, --and
    Alleen items tonen die overeenkomen met alle opgegeven trefwoorden. Standaard worden items die met enig trefwoord overeenkomt getoond.

-l, --long
    Uitvoer niet afbreken op terminalbreedte. Normaal zal uitvoer afgekapt worden op de breedte van de terminal om lelijke resultaten van slechtgeschreven NAAM-secties te voorkomen.

-s list, --sections list, --section list
    Search only the given manual sections. list is a colon- or comma-separated list of sections. If an entry in list is a simple section, for example "3", then the displayed list of descriptions will include pages in sections "3", "3perl", "3x", and so on; while if an entry in list has an extension, for example "3perl", then the list will only include pages in that exact part of the manual section.

-m systeem[,...], --systems=systeem[,...]
    Als dit systeem toegang heeft tot man-paginabeschrijvingen van andere besturingssystemen, dan kunnen ze met deze optie doorzocht worden. Om NieuwOS's man-pagina's te doorzoeken, gebruikt u optie -m NieuwOS. Het opgegeven systeem kan een combinatie van besturingssystemen zijn, gescheiden door komma's. Om ook de watis-beschrijvingen van het eigen besturingssysteem te doorzoeken, neemt u de systeemnaam man in het argument op. Deze optie zal voorgaan op de omgevingsvariabele $SYSTEM.

-M pad, --manpath=pad
    Specificeer een alternatieve hiërarchie van man-pagina's om te doorzoeken, gescheiden door dubbelepunten. Standaard gebruikt apropos de omgevingsvariabele $MANPATH, behalve als deze leeg of niet-gedefinieerd is. In die gevallen wordt een passend man-pad bepaald op basis van uw omgevingsvariabele $PATH. Deze optie gaat voor op de inhoud van $MANPATH.

-L taalgebied, --locale=taalgebied
    apropos zal normaal uw huidige taalgebied bepalen met een aanroep van de C-functie setlocale(3) die verschillende omgevingsvariabelen bevraagt, waaronder mogelijk $LC_MESSAGES en $LANG. Om de vastgestelde waarde tijdelijk te overschrijven gebruikt u deze optie om een taalgebied direct aan apropos door te geven. Merk op dat dit geen effect heeft totdat het zoeken naar de pagina's daadwerkelijk begint. Uitvoer zoals de hulptekst zal altijd getoond worden in de taal die in eerste instantie bepaald is.

-C bestand, --config-file=bestand
    Gebruik dit gebruikersconfiguratiebestand in plaats van de standaard van ~/.manpath.

-?, --help
    Een hulptekst tonen en stoppen.

--usage
    Print a short usage message and exit.

-V, --version
    Versieinformatie tonen.

STOPSTATUS

0   Programma correct uitgevoerd.

1   Gebruiks-, syntax- of configuratiebestandfout.

2   Uitvoeringsfout.

16  Er is niets gevonden dat overeenkomt met de opgegeven criteria.

OMGEVING

SYSTEM
    Wanneer $SYSTEM is opgegeven, heeft dit hetzelfde effect als het opgegeven van optie -m als argument.

MANPATH
    Wanneer $MANPATH is opgegeven, wordt de waarde geïnterpreteerd als een zoekpad van dubbelepuntgescheiden hiërarchie van man-pagina's.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, an ioctl(2) if available, or falling back to 80 characters if all else fails.

POSIXLY_CORRECT
    Wanneer $POSIXLY_CORRECT is opgegeven, zelfs met een nulwaarde, wordt de standaardzoekopdracht apropos uitgevoerd als een reguliere expressie (-r). Momenteel is dit hoe dan ook het standaardgedrag.

BESTANDEN

/usr/share/man/index.(bt|db|dir|pag)
    Een traditionele, algemene index-database-cache.

/var/cache/man/index.(bt|db|dir|pag)
    Een algemene index-database-cache, in overeenstemming met FHS.

/usr/share/man/.../whatis
    Een traditionele watis-tekstdatabase.

ZIE OOK
man(1), whatis(1), mandb(8)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).